function plot_results_axisym(xy,NumEle,Nodes,C,xy_order,displacement,Se)

    nn = Nodes;
    order = xy_order;
   
    if (Nodes == 3)
        nn = 1;
        order = 1;
    end
    
    xymin = min(xy);
    xymax = max(xy);
    xyratio = (xymax(1)-xymin(1))/(xymax(2)-xymin(2));
    pixel = 300;
    figure('position',[ 0.1*pixel 0.4*pixel xyratio*pixel, 2*pixel ])

    plot_x = subplot(2,1,1);
    plot_y = subplot(2,1,2);
    axis([plot_x plot_y],[xymin(1) xymax(1) xymin(2) xymax(2)])

    for i = 1:NumEle
        xp = xy(C(i,xy_order),1);
        yp = xy(C(i,xy_order),2);
        cx = displacement(2*C(i,xy_order)-1);
        cy = displacement(2*C(i,xy_order));

        patch(plot_x,xp,yp,cx)
        patch(plot_y,xp,yp,cy)
        hold on;   
    end

    title(plot_x,'Displacement r-direction')
    colorbar(plot_x)
    title(plot_y,'Displacement z-direction')
    colorbar(plot_y)


    % Plot stresses
    pixel = 250;
    figure('position',[ 2.5*pixel 0.4*pixel xyratio*pixel, 4*pixel ])
    plot_sr  = subplot(4,1,1);
    plot_sz  = subplot(4,1,2);
    plot_sth = subplot(4,1,3);
    plot_srz = subplot(4,1,4);

    sr (1:nn,1) = 0;
    sz (1:nn,1) = 0;
    sth(1:nn,1) = 0;
    srz(1:nn,1) = 0;

    for i = 1:NumEle
        xp = xy(C(i,xy_order),1);
        yp = xy(C(i,xy_order),2);

        sr(1:nn,1)  = Se(i,1,order);
        sz(1:nn,1)  = Se(i,2,order);
        sth(1:nn,1) = Se(i,3,order);
        srz(1:nn,1) = Se(i,4,order);

        patch(plot_sr ,xp,yp,sr)
        patch(plot_sz ,xp,yp,sz)
        patch(plot_sth,xp,yp,sth)
        patch(plot_srz,xp,yp,srz)
        hold on;   
    end

    title(plot_sr,'Stress r-direction')
    colorbar(plot_sr)
    title(plot_sz,'Stress z-direction')
    colorbar(plot_sz)
    title(plot_sth,'Stress th-direction')
    colorbar(plot_sth)
    title(plot_srz,'Stress rz-direction')
    colorbar(plot_srz)
    
end