function write_results_axisym(filename,NumNod,Nodes,NumEle,C,xy_order,displacement,Se)

    nn = Nodes;
    order = xy_order;
   
    if (Nodes == 3)
        nn = 1;
        order = 1;
    end
    
    % Write displacements to Excel file
    D = zeros(NumNod,3);
    for ip = 1:NumNod
        node = 2*ip;
        D(ip,1) = ip;
        D(ip,2) = displacement(node-1,1);
        D(ip,3) = displacement(node  ,1);
    end

    header = {'Displacements'};
    xlswrite(filename,header,'Displacements','B1')
    header1 = {'Node','x','y'};
    xlswrite(filename,header1,'Displacements','A2')

    s1 = 'A3:C';
    s2 = num2str(NumNod+2);
    range = strcat(s1,s2);
    xlswrite(filename,D,'Displacements',range)
    
    % Write stresses to Excel file
    S = strings(nn*NumEle,6);
    for ip = 1:NumEle
        is1 = nn*(ip-1)+1;
        is2 = nn*ip;
        S(is1,1) = num2str(ip);
        for jp = 1:nn
            S(is1+(jp-1),2) = num2str(C(ip,order(jp)));
        end
        S(is1:is2,3) = Se(ip,1,order);
        S(is1:is2,4) = Se(ip,2,order);
        S(is1:is2,5) = Se(ip,3,order);
        S(is1:is2,6) = Se(ip,4,order);
    end

    header = {'Stresses'};
    xlswrite(filename,header,'Stresses','D1')
    header1 = {'Element','Node','Sr','Sz','Sth','Srz'};
    xlswrite(filename,header1,'Stresses','A2')

    s1 = 'A3:F';
    s2 = num2str(nn*NumEle+2);
    range = strcat(s1,s2);
    xlswrite(filename,S,'Stresses',range)

end
